Home | All Classes | Grouped Classes | Index | Search

# CL_JPEGProvider::save

Save the given PixelBuffer into a JPEG

    	void save(
    		CL_PixelBuffer buffer, const std::string& filename, CL_OutputSourceProvider* output_provider = 0, int quality = 85);

Parameters:

buffer
  The CL_PixelBuffer to save, format doesn't matter its converted if needed
filename
  to which the JPEG file is saved
quality
  the quality level of the JPEG (0-100), 100 being best quality

See also:

CL_OutputSource | CL_OutputSourceProvider | CL_JPEGProvider | CL_PixelBuffer

Questions or comments, write to the ClanLib mailing list.